diff --git a/bin/cdist-deploy-stdin-to b/bin/cdist-deploy-stdin-to
new file mode 100755
index 00000000..391dd431
--- /dev/null
+++ b/bin/cdist-deploy-stdin-to
@@ -0,0 +1,36 @@
+#!/bin/sh
+#
+# 2011 Steven Armstrong (steven-cdist at armstrong.cc)
+#
+# This file is part of cdist.
+#
+# cdist is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# cdist is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with cdist. If not, see .
+#
+#
+# Use stdin as the manifest to deploy on the given host.
+#
+
+. cdist-config
+[ $# -eq 1 ] || __cdist_usage ""
+set -eu
+
+__cdist_target_host="$1"
+shift
+
+cat >> "$__cdist_tmp_file"
+
+chmod +x "$__cdist_tmp_file"
+
+export __cdist_manifest_init="$__cdist_tmp_file"
+cdist-deploy-to "$__cdist_target_host"
diff --git a/doc/man/man1/cdist-deploy-stdin-to.text b/doc/man/man1/cdist-deploy-stdin-to.text
new file mode 100644
index 00000000..14f19478
--- /dev/null
+++ b/doc/man/man1/cdist-deploy-stdin-to.text
@@ -0,0 +1,30 @@
+cdist-deploy-stdin-to(1)
+========================
+Steven Armstrong
+
+
+NAME
+----
+cdist-deploy-stdin-to - Deploy the configuration given on stdin to host
+
+
+SYNOPSIS
+--------
+echo "__file /tmp/whatever" | cdist-deploy-stdin-to HOSTNAME
+
+
+DESCRIPTION
+-----------
+Use stdin as the manifest for cdist-deploy-to.
+
+
+SEE ALSO
+--------
+- cdist(7)
+- cdist-deploy-to(1)
+
+
+COPYING
+-------
+Copyright \(C) 2011 Steven Armstrong. Free use of this software is
+granted under the terms of the GNU General Public License version 3 (GPLv3).